Subject: bug#10397: [PATCH] Under Remote Desktop, NUMCOLORS is unreliable; workaround

From: Daniel Colascione <[email-masked]>
Date: Thu, 29 Dec 2011 14:59:11 -0800

On 12/29/11 8:45 AM, Juanma Barranquero wrote:
> On Thu, Dec 29, 2011 at 17:42, Daniel Colascione <[email-masked]> wrote:
> 
>> I'm not convinced there aren't other bugs lurking in the code backing
>> NUMCOLORS; after all, it's doing the same simple calculation we are, and
>> it's somehow doing it wrong.
> 
> You have also no proof. I don't see why should we try to fix bugs we
> don't even know are real. Better to fiix the one you know it *is*
> real, IMO.

What about this: we'll distrust any NUMCOLORS response less than 256.
You'll never use direct color with a bit depth that small, so any answer
in that range must be bogus.  This approach would address my concerns
about wrong values other than exactly 20 being returned.